/***************************************************************************
**    xEdit.h  $Revision: 1.3 $ - $Name:  $ 
**    QEdit w/ Macro Replacement
**
**    Copyright (C) 1996 Joseph Croft <jcroft@unicomp.net>
**
**    This library is free software; you can redistribute it and/or
**    modify it under the terms of the GNU Library General Public
**    License as published by the Free Software Foundation; either
**    version 2 of the License, or (at your option) any later version.
**
**    This library is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**    Library General Public License for more details.
**
**    You should have received a copy of the GNU Library General Public
**    License along with this library; if not, write to the Free
**    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
 ***************************************************************************/
#ifndef _x_EDIT_H
#define _x_EDIT_H

#include <qlined.h>

class xEdit : public QLineEdit
{
public:
   xEdit(QWidget *pParent = NULL, const char *pName = NULL);
   virtual const char *text();
//   virtual const char *text() { return(macroReplace()); };
   
private:
   QString     macroReplace(const char *cp);
   QString     *txtStr;
};

#endif

